Package org.snpeff.interval

# Class CircularCorrection

java.lang.Object
org.snpeff.interval.CircularCorrection

public class CircularCorrection extends Object
Correct circular genomic coordinates Nomenclature: We use coordinates at the beginning of the chromosme and negative coordinates

## Constructor Summary

Constructors
Constructor
Description
`CircularCorrection(Transcript tr)`
`CircularCorrection(Transcript tr, int chrLen)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`correct()`
Return a circular corrected transcript or null if no correction is needed
`boolean`
`isCorrected()`
`boolean`
`isDebug()`
`void`
`setCorrectLargeGap(boolean correctLargeGap)`
`void`
`setDebug(boolean debug)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CircularCorrection

public CircularCorrection(Transcript tr)

### CircularCorrection

public CircularCorrection(Transcript tr, int chrLen)

## Method Details

### correct

public boolean correct()
Return a circular corrected transcript or null if no correction is needed

### isCorrected

public boolean isCorrected()

### isDebug

public boolean isDebug()

### setCorrectLargeGap

public void setCorrectLargeGap(boolean correctLargeGap)

### setDebug

public void setDebug(boolean debug)

### toString

public String toString()

Overrides:
  `toString` in class `Object`